#
# spec file for package vinagre (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           vinagre
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gdbm-devel
BuildRequires:  gnome-doc-utils-devel
BuildRequires:  gnome-keyring-devel
BuildRequires:  gnome-panel-devel
BuildRequires:  gtk-vnc-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libavahi-gobject-devel
BuildRequires:  telepathy-glib-devel
BuildRequires:  vte-devel
BuildRequires:  update-desktop-files
Summary:        VNC client for GNOME
Version:        2.28.1
Release:        0.1.2
License:        GPLv2+
Group:          Productivity/Networking/Remote Desktop
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.gnome.org/projects/vinagre/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       %{name}-lang = %{version}
%gconf_schemas_prereq

%description 
Vinagre is a VNC client for GNOME that supports connecting to multiple
machines, browsing for VNC servers via avahi and password storage in
gnome-keyring.

%package devel
License:        GPLv2+
Summary:        VNC client for GNOME - Development Files
Group:          Productivity/Networking/Remote Desktop
Requires:       %{name} = %{version}
Requires:       gtk2-devel
Requires:       libxml2-devel

%description devel
Vinagre is a VNC client for GNOME that supports connecting to multiple
machines, browsing for VNC servers via avahi and password storage in
gnome-keyring.

This packages contains the development files to create plugins for vinagre.


%lang_package
%prep
%setup -q

%build
%configure \
    --disable-static \
    --disable-scrollkeeper \
    --enable-avahi \
    --enable-ssh
%__make %{?jobs:-j%jobs}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
%suse_update_desktop_file vinagre
%suse_update_desktop_file vinagre-file
%find_lang %{name}
%find_gconf_schemas
%fdupes $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%files -f %{name}.schemas_list
%defattr(-, root, root)
%{_bindir}/*
%{_datadir}/applications/*
%doc %{_datadir}/doc/vinagre
%{_datadir}/dbus-1/services/org.gnome.Empathy.StreamTubeHandler.rfb.service
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/*
%{_datadir}/vinagre
%{_libdir}/bonobo/servers/*.server
%{_libdir}/vinagre-1
%{_libexecdir}/vinagre-applet
%{_mandir}/man1/*.1.gz

%files devel
%defattr(-, root, root)
%{_includedir}/vinagre-1.0
%{_libdir}/pkgconfig/*.pc

%files lang -f %{name}.lang

%changelog
* Fri Dec 11 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + Keep the aspect ratio when using scaling
  + Updated translations.
* Mon Sep 21 2009 dimstar@opensuse.org
- Update to version 2.28.0.1:
  + Fix build
  + Fix warnings activating mDNS bookmarks
  + Updated translations.
- Add gtk2- and libxml2-devel to -devel Requires.
* Mon Sep  7 2009 dimstar@opensuse.org
- Update to version 2.27.92:
  + Removed duplicated names in the UI file, avoiding crashes
  + Show IP addresses of avahi-discovered machines instead of names
  + Handle GConf errors in preferences
  + Updated translations.
* Tue Aug 25 2009 dimstar@opensuse.org
- Update to version 2.27.91:
  + Updated Unix man page.
  + Improvements in Telepathy tubes.
  + Toolbar in full screen mode is now centralized.
  + Updated documentation (help).
  + Updated translations.
* Wed Aug 12 2009 vuntz@novell.com
- Update to version 2.27.90:
  + Features and Fixes
  - Use GtkBuilder instead of Glade.
  - Added a *very basic* SSH plugin. Enable it with --enable-ssh
    in configure.
  - Panel applet is now optional. Disable it with
  - -disable-applet.
  - Toolbar in fullscreen mode is now centralized.
  - Screenshot can be saved in various formats.
  - New fullscreen command-line option.
  - New scaled command-line option.
  - If the server is omitted in the command line, 'localhost' is
    assumed.
  - Clipboard operations work even with special chars.
  + Updated translations.
- Drop vinagre-linking-order.patch: fixed upstream.
- Drop vinagre-build-fix.patch: fixed upstream.
- Remove call to gnome-autogen.sh, and gnome-common BuildRequires.
- Remove libglade2-devel BuildRequires.
- Pass --enable-ssh to configure, and add vte-devel to
  BuildRequires.
- Remove workaround to move a file that was not in the right
  directory (vinagre-plugin.png).
* Wed Jul 29 2009 vuntz@novell.com
- Update to version 2.27.5:
  + New plugin system. All protocols should be implemented as a
    plugin. Initially we have only VNC plugin.
  + Telepathy tubes support. This allows you to access a screen of
    an IM contact.
  + Lots of minor fixes.
  + Updated translations.
- Add gnome-keyring-devel, telepathy-glib-devel BuildRequires.
- Add vinagre-linking-order.patch and vinagre-build-fix.patch to
  fix build.
- Add devel package, for development files needed to create
  plugins.
* Mon Jul 20 2009 vuntz@novell.com
- Use libexecdir instead of libdir in the file list to fix build.
- Do not package omf files twice.
* Tue May 19 2009 vuntz@novell.com
- Update to version 2.26.2:
  + Updated translations.
* Tue Apr 14 2009 vuntz@novell.com
- Update to version 2.26.1:
  + bgo#574134 – Don't allow items name duplicated on bookmarks.
  + Updated translations.
* Tue Mar 17 2009 vuntz@novell.com
- Update to version 2.26.0:
  + Updated translations.
- Remove AutoReqProv: it's default now.
* Mon Mar  2 2009 mboman@suse.de
- Update to version 2.25.92:
  + Improved the authentication dialog
  + Allow IPv6 address in command line as well in the connection
    dialog. The address must be enclosed by square braces, for
    instance: [::a:b:c:d]. This is the same syntax used by RealVNC
  + Translation updates
* Mon Feb 16 2009 mboman@suse.de
- Update to version 2.25.91:
  + Translation updates
- Remove %%if checks for <= 10.2 in BuildRequires
- Remove glib2-devel, gnome-common, gnome-keyring-devel,
  gnome-vfs2-devel, gnutls-devel, perl-XML-Parser from
  BuildRequires
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.25.90:
  + Fix the applet icon on transparent panels
  + Handle --enable-avahi option in configure.ac correctly
  + Translation updates
* Thu Jan 29 2009 lmedinas@gmail.com
- Update to version 2.25.5:
  + Translation updates
* Tue Jan  6 2009 mboman@suse.de
- Update to version 2.25.4:
  + bgo#558596: Added minimize button to toolbar in fullscreen mode
  + Depends on gtk-vnc 0.3.8. This makes scaling work even on composited
    screens
  + Translation updates
* Sat Dec 20 2008 mboman@suse.de
- Update to version 2.25.3:
  + bgo#509948: Added an 'original size' option in the view menu.
  + bgo#557740: Make avahi optional again. Pass '--disable-avahi' to
    configure.
  + bgo#559526: Allow username in the authentication schema.
  + bgo#536896: Drag and drop ability: Bookmark can be added by dragging
    and dropping an tab into it.
  + bgo#549649: Folders in bookmarks.
  + New manual page, by Emilio Pozuelo Monfort and Halton Huo.
  + Added an initial preferences dialog.
  + bgo#554995: Create the parent directory before copying the old bookmarks
    file to the new location.
  + bgo#555803: Hides menu mnemonics.
  + bgo#559525: Better parse a .vnc file.
  + bgo#550596: Sort bookmarks alphabetically.
  + bgo#562526: Make 'vinagre --help' fully localized.
  + Translation updates
- Reviewed work from lmedinas
* Sun Dec 14 2008 lmedinas@gmail.com
- Update to version 2.24.2:
  + Bump to fix a security issue
  + Update translations
- Remove vinagre-format-string.patch included upstream
* Fri Dec 12 2008 rodrigo@novell.com
- Add upstream fix for bnc#457895
* Tue Oct 21 2008 mboman@suse.de
- Update to version 2.24.1:
  + bgo#554995: Create the parent directory before copying the old
    bookmarks file to the new location
  + Translation updates
* Tue Sep 23 2008 mboman@suse.de
- Update to version 2.24.0:
  + Translation updates
* Tue Sep  9 2008 maw@suse.de
- Update to version 2.23.92:
  + Support downscaling
  + Updated translations.
* Tue Sep  2 2008 mboman@novell.com
- Update to version 2.23.91:
  + Minor bug fixes
  + Translation updates
* Mon Jun 23 2008 maw@suse.de
- Update to version 2.23.4:
  + The large version increase is due to vinagre synchronizing its
    version numbers with those of the GNOME project at large
  + Now we grab the keyboard automatically when the focus is on
    Vinagre
  + Add a gconf option to disable all menu shortcuts, useful if
    you want to get rid of having your key presses being
    intercepted by Vinagre
  + Add a panel applet
  + Bugs fixed: bgo#536330, bgo#522100, bgo#515816, bgo#536111,
    bgo#531969, bln#233918, bgo#490841, bgo#530712, bgo#501165,
    bgo#518351, bgo#519145, bgo#531593, bgo#530582, bgo#476942,
    bgo#512918, and bgo#509945
  + Updated translations.
* Fri Apr 11 2008 vuntz@suse.de
- Update to version 0.5.1:
  + Updated translations.
* Thu Mar 13 2008 vuntz@suse.de
- Update to version 0.5.0:
  + Updated translations.
* Wed Mar  5 2008 maw@suse.de
- Update to version 0.4.92:
  + Fix an inconsistency in menu sensitivity
  + Updated translations.
* Tue Feb 19 2008 maw@suse.de
- Update to version 0.4.91:
  + Register ourselves as handler for the vnc:// protocol
  + Allow port numbers < 1024 (bgo#513381)
  + Updated translations
- Include gconf schema in the package.
* Fri Feb  1 2008 maw@suse.de
- Update to version 0.4.90:
  + Improved documentation, incl. a man page
  + Use gio instead of gnome-vfs
  + Depend on gtk-vnc 0.3.2
  + Updated translations.
* Thu Jan 17 2008 jpr@suse.de
- Initial package checkin
